## libsgmls-perl 1.03ii

=== Makefile ===
########################################################################
# Makefile for installing SGMLS.pm and associated files in Unix
# or Unix-like environments.  You should check the values of the
# variables at the beginning and change them as appropriate.
#
# Version: 1.03ii
########################################################################

DIST = SGMLSpm-1.03ii.tar.gz

#
# Beginning of user options.
#

# Where is the binary for perl5 located on your system?
PERL = /usr/bin/perl

# Where do you want the sgmlspl executable script to be installed?
BINDIR = /usr/local/bin

# Where do you put local perl5 libaries?
PERL5DIR = /usr/local/lib/perl5
MODULEDIR = ${PERL5DIR}/SGMLS

# Where do you want to put sgmlspl specifications?
SPECDIR = ${PERL5DIR}

# If you plan to install the HTML version of the documentation, where
# do you intend to put it?  'make html' will create two
# subdirectories, ${HTMLDIR}/SGMLSpm and ${HTMLDIR}/sgmlspl, and place
# its files there.
HTMLDIR = /usr/local/lib/www/docs


#
# End of user options.
#

HTML_SOURCES = DOC/HTML/SGMLSpm/ DOC/HTML/sgmlspl/

FILES =	${BINDIR}/sgmlspl \
	${PERL5DIR}/SGMLS.pm \
	${MODULEDIR}/Output.pm \
	${MODULEDIR}/Refs.pm \
	${SPECDIR}/skel.pl

all: install docs

install: install_system # install_html

install_system: ${MODULEDIR} ${FILES}

dist: ${DIST}

${BINDIR}/sgmlspl: sgmlspl.pl
	sed -e 's!/usr/bin/perl!${PERL}!' sgmlspl.pl > ${BINDIR}/sgmlspl
	chmod a+x,a+r ${BINDIR}/sgmlspl

${PERL5DIR}/SGMLS.pm: SGMLS.pm
	cp SGMLS.pm ${PERL5DIR}/SGMLS.pm
	chmod a+r ${PERL5DIR}/SGMLS.pm

${MODULEDIR}:
	if [ ! -d ${MODULEDIR} ]; then\
	  mkdir ${MODULEDIR}; \
	  chmod a+x ${MODULEDIR}; \
	fi

${MODULEDIR}/Output.pm: Output.pm
	cp Output.pm ${MODULEDIR}/Output.pm
	chmod a+r ${MODULEDIR}/Output.pm

${MODULEDIR}/Refs.pm: Refs.pm
	cp Refs.pm ${MODULEDIR}/Refs.pm
	chmod a+r ${MODULEDIR}/Refs.pm

${SPECDIR}/skel.pl: skel.pl
	cp skel.pl ${SPECDIR}/skel.pl
	chmod a+r ${SPECDIR}/skel.pl

install_html: ${HTML_SOURCES}
	cd DOC; make html
	rm -rf ${HTMLDIR}/SGMLSpm ${HTMLDIR}/sgmlspl
	cp -r ${HTML_SOURCES} ${HTMLDIR}
	chmod a+x,a+r ${HTMLDIR}/SGMLSpm ${HTMLDIR}/sgmlspl
	chmod a+r ${HTMLDIR}/SGMLSpm/* ${HTMLDIR}/sgmlspl/*

docs:
	cd DOC; make all

${DIST}: clean docs
	cd ..; \
	tar -c -v -z --exclude RCS -f /tmp/${DIST} SGMLSpm; \
	mv /tmp/${DIST} SGMLSpm

clean:
	cd DOC; make clean
	rm -f *~ core *.tar *.tar.gz

=== DOC/Makefile ===
########################################################################
# Makefile for producing HTML and LaTeX (and thence, DVI and
# Postscript) versions of the SGML documentation.
#
# version 1.03
#
# *** NOTE ***
#
# This will _not_ work unless you have the Docbook 2.2.1 DTD properly
# installed on your system, and sgmls or nsgmls can find it using the
# public identifier "-//HaL and O'Reilly//DTD DocBook//EN".  You will
# also need the character-entity files with the public identifiers
#
# "ISO 8879:1986//ENTITIES Publishing//EN"
#    and
# "ISO 8879:1986//ENTITIES Numeric and Special Graphic//EN"
#
# installed.  Copies of the source files for these are included in
# the Extras/ subdirectory.
########################################################################

#
# Beginning of user configuration options.
#

# Which program do you use: sgmls or nsgmls?
SGMLS = nsgmls

# What is the command for running LaTeX on a file?
LATEX = latex

# Do you want to supply a full path for sgmlspl?
SGMLSPL = sgmlspl

# If you want Postscript, what is the command for converting DVI to Postscript?
DVIPS = dvips

# What SGML declaration do you use with the Docbook 2.2.1 DTD?
SGMLDECL = /usr/local/lib/sgml/sgmldecl/docbook.dcl

#
# End of user configuration options.
#

SHELL = /bin/sh
LATEXSPEC = tolatex.pl
HTMLSPEC = tohtml.pl

all: latex html

latex: LaTeX/sgmlspm.tex LaTeX/sgmlspl.tex
dvi: LaTeX/sgmlspm.dvi LaTeX/sgmlspl.dvi
ps: PS/sgmlspm.ps PS/sgmlspl.ps
html:	HTML/SGMLSpm/sgmlspm.html HTML/sgmlspl/sgmlspl.html


LaTeX/sgmlspm.tex: sgmlspm.sgml ${LATEXSPEC}
	@echo Converting sgmlspm.sgml to LaTeX...; \
	cd LaTeX; ln -sf ../sample.pl .; \
	if [ \! -r sgmlspm.refs -o -r .redo_sgmlspm ]; then \
	  echo \(Preliminary LaTeX pass for sgmlspm.sgml...\); \
	  ${SGMLS} ${SGMLDECL} ../sgmlspm.sgml \
	    | $(SGMLSPL) ../${LATEXSPEC} sgmlspm > sgmlspm.tex; \
	fi; \
	echo \(Main LaTeX pass for sgmlspm.sgml...\); \
	${SGMLS} ${SGMLDECL} ../sgmlspm.sgml \
	  | $(SGMLSPL) ../${LATEXSPEC} sgmlspm >sgmlspm.tex

LaTeX/sgmlspm.dvi: LaTeX/sgmlspm.tex
	@echo Converting sgmlspm.tex to DVI...; \
	cd LaTeX; ${LATEX} sgmlspm.tex; ${LATEX} sgmlspm.tex

PS/sgmlspm.ps: LaTeX/sgmlspm.dvi
	@echo Converting sgmlspm.dvi to Postscript...; \
	${DVIPS} -o PS/sgmlspm.ps LaTeX/sgmlspm.dvi

HTML/SGMLSpm/sgmlspm.html: sgmlspm.sgml ${HTMLSPEC}
	@cd HTML/SGMLSpm; ln -sf ../../sample.pl .; \
	echo Converting sgmlspm.sgml to HTML...; \
	if [ \! -r sgmlspm.refs -o -r .redo_sgmlspm ]; then \
	  echo \(Preliminary HTML pass for sgmlspm.sgml...\); \
	  ${SGMLS} ${SGMLDECL} ../../sgmlspm.sgml \
	    | $(SGMLSPL) ../../${HTMLSPEC} sgmlspm; \
	fi; \
	echo \(Main HTML pass for sgmlspm.sgml...\); \
	${SGMLS} ${SGMLDECL} ../../sgmlspm.sgml \
	  | $(SGMLSPL) ../../${HTMLSPEC} sgmlspm;

LaTeX/sgmlspl.tex: sgmlspl.sgml ${LATEXSPEC}
	@echo Converting sgmlspl.sgml to LaTeX...; \
	cd LaTeX; \
	if [ \! -r sgmlspl.refs -o -r .redo_sgmlspl ]; then \
	  echo \(Preliminary LaTeX pass for sgmlspl.sgml...\); \
	  ${SGMLS} ${SGMLDECL} ../sgmlspl.sgml \
	    | $(SGMLSPL) ../${LATEXSPEC} sgmlspl > sgmlspl.tex; \
	fi; \
	echo \(Main LaTeX pass for sgmlspl.sgml...\); \
	${SGMLS} ${SGMLDECL} ../sgmlspl.sgml \
	  | $(SGMLSPL) ../${LATEXSPEC} sgmlspl > sgmlspl.tex

LaTeX/sgmlspl.dvi: LaTeX/sgmlspl.tex
	@echo Converting sgmlspl.tex to DVI...; \
	cd LaTeX; \
	${LATEX} sgmlspl.tex; ${LATEX} sgmlspl.tex

PS/sgmlspl.ps: LaTeX/sgmlspl.dvi
	@echo Converting sgmlspl.dvi to Postscript...; \
	${DVIPS} -o PS/sgmlspl.ps LaTeX/sgmlspl.dvi

HTML/sgmlspl/sgmlspl.html: sgmlspl.sgml ${HTMLSPEC}
	@cd HTML/sgmlspl; \
	echo Converting sgmlspl.sgml to HTML...; \
	if [ ! -r sgmlspl.refs -o -r .redo_sgmlspl ]; then \
	  echo \(Preliminary HTML pass for sgmlspl.sgml...\); \
	  ${SGMLS} ${SGMLDECL} ../../sgmlspl.sgml \
	    | $(SGMLSPL) ../../${HTMLSPEC} sgmlspl; \
	fi; \
	echo \(Main HTML pass for sgmlspl.sgml...\); \
	${SGMLS} ${SGMLDECL} ../../sgmlspl.sgml \
	  | $(SGMLSPL) ../../${HTMLSPEC} sgmlspl;

clean:
	rm -f *~ core LaTeX/* HTML/SGMLSpm/* HTML/sgmlspl/* PS/*

=== debian/changelog ===
libsgmls-perl (1.03ii-36) unstable; urgency=medium

  * Team upload.

  [ Helmut Grohne ]
  * Mark sgmls{pl,-doc} with Multi-Arch: foreign. (Closes: #840076)

 -- gregor herrmann <gregoa@debian.org>  Sat, 08 Oct 2016 15:12:29 +0200

libsgmls-perl (1.03ii-35) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Simplify BTS URL.
  * debian/copyright: change Copyright-Format 1.0 URL to HTTPS.
  * Use (file-)rename instead of (p)rename. (Closes: #825633)
  * Declare compliance with Debian Policy 3.9.8.

 -- gregor herrmann <gregoa@debian.org>  Sun, 29 May 2016 18:19:19 +0200

libsgmls-perl (1.03ii-34) unstable; urgency=medium

  * Team upload.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend

  [ Axel Beckert ]
  * debian/copyright: Update Ian Jackson's e-mail address. Issue reported
    by DUCK.

  [ gregor herrmann ]
  * debian/control: change "Depends: sp" to "Suggests: opensp | sp".
    sp is replaced by opensp, and the package doesn't actually use it, it just
    can process its output.
    Additionally, mention onsgmls in debian/control, and add patch to mention
    onsgmls in the docs.
    Thanks to Neil Roeth for the bug report. (Closes: #804941)
  * Mark package as autopkgtest-able.
  * Revert "Change search.cpan.org based URIs to metacpan.org based URIs".
    MetaCPAN doesn't know about this distribution, go back to
    search.cpan.org.
  * Declare compliance with Debian Policy 3.9.6.
  * Bump debhelper compatibility level to 9.

 -- gregor herrmann <gregoa@debian.org>  Fri, 13 Nov 2015 17:43:28 +0100

libsgmls-perl (1.03ii-33) unstable; urgency=low

  [ Nicholas Bamber ]
  * Changed ownership to Debian Perl Group
  * Created debian/source/format
  * Updated home page and Vcs fields (Closes: #528292)
  * Removed duplicate section and priority fields from binary stanzas
  * Refreshed depends: adding ${misc:Depends}, removing Conflicts etc.

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * debian/control: remove Nicholas Bamber from Uploaders on request of
    the MIA team.
  * Strip trailing slash from metacpan URLs.

  [ Daniel Lintott ]
  * Migrate d/copyright to machine-readable format
  * Bump debhelper version to 8
  * Add myself to uploaders
  * Bump standards version to 3.9.5
  * Move sp to depends and split all depends to one-per-line
  * {Output|SGMLS}.pm - Revert changes to upstream source
  * sgmlspl - This file was simply a duplicate of sgmlspl.pl, remove from
    source to remove upstream source modifications, this is now handled by
    debian/rules
  * sgmlspl.pl - Revert changes to upstream source and create patch
  * sgmlspl.1 - Revert changes to upstream source and create patch
  * Makefile.PL - Revert changes to upstream source and create patch
  * Makefile - Revert changes to upstream source and create patch
  * Refs.pm - Revert changes to upstream source and create patch
  * Add patch to fix errors with POD
  * Update sgmls-doc long description
  * Change doc-base document id to lower case

 -- Daniel Lintott <daniel@serverb.co.uk>  Fri, 11 Apr 2014 11:33:25 +0100

libsgmls-perl (1.03ii-32) unstable; urgency=low

  * Refs.pm: fixed typo
    (closes: Bug#414110)
  * debian/compat: bumped version to 5
  * debian/control:
    * moved debhelper from 'Build-Depends-Indep' to 'Build-Depends'
      (detected by lintian)
    * changed build dependency on 'debhelper' to '(>= 5.0)'
    * upgraded to Debian Policy 3.7.3 (no changes)
    * added Vcs-Browser and Vcs-Cvs fields
  * debian/watch: bumped version to 3
  * debian/copyright: updated FSF address
    (detected by lintian)

 -- Ardo van Rangelrooij <ardo@debian.org>  Fri, 04 Jan 2008 10:48:06 -0600

libsgmls-perl (1.03ii-31) unstable; urgency=low

  * Added 'debian/watch'
  * debiam/rules: various small improvements

 -- Ardo van Rangelrooij <ardo@debian.org>  Wed, 24 Nov 2004 12:23:21 -0600

libsgmls-perl (1.03ii-30) unstable; urgency=low

  * Makefile: commented out documentation clean
    (closes: Bug#240645)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 28 Mar 2004 10:29:33 -0600

libsgmls-perl (1.03ii-29) unstable; urgency=low

  * debian/control: changed maintainer's email address to the new Debian
    XML/SGML Group's packages mailing list

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 29 Feb 2004 10:48:45 -0600

libsgmls-perl (1.03ii-28) unstable; urgency=low

  * debian/control: changed 'Maintainer' to 'Debian XML/SGML Group
    <debian-xml-sgml-devel@lists.alioth.debian.org>' and added current
    maintainer as 'Uploader'

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun, 22 Feb 2004 19:38:41 -0600

libsgmls-perl (1.03ii-27) unstable; urgency=low

  * debian/control: upgraded to Debian Policy 3.6.1 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat,  7 Feb 2004 22:31:22 -0600

libsgmls-perl (1.03ii-26) unstable; urgency=low

  * Fixed missing documentation
    (closes: Bug#226085)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sun,  4 Jan 2004 10:56:51 -0600

libsgmls-perl (1.03ii-25) unstable; urgency=low

  * sgmlspl.1: fixed references to HTML documentation
    (closes: Bug#202985)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 26 Jul 2003 23:06:50 -0500

libsgmls-perl (1.03ii-24) unstable; urgency=low

  * debian/rules: moved debhelper compatibility level setting to
    'debian/compat' per latest debhelper best practices
  * debian/control: updated sections according to latest archive changes:
    - 'libsgmls-perl' from 'text' to 'perl'
  * debian/control: changed build dependency on 'debhelper' to '(>= 4.1)'
  * debian/control: upgraded to Debian Policy 3.6.0 (no changes)

 -- Ardo van Rangelrooij <ardo@debian.org>  Sat, 26 Jul 2003 22:15:48 -0500


=== debian/control ===
Source: libsgmls-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Daniel Lintott <daniel@serverb.co.uk>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: perl,
                     rename
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-perl/packages/libsgmls-perl.git
Vcs-Git: https://anonscm.debian.org/git/pkg-perl/packages/libsgmls-perl.git
Homepage: http://search.cpan.org/dist/SGMLSpm/

Package: libsgmls-perl
Architecture: all
Depends: ${perl:Depends},
         ${misc:Depends}
Suggests: sgmlspl,
          sgmls-doc,
          opensp | sp
Description: Perl modules for processing SGML parser output
 This is a set of Perl5 routines for processing the output from the onsgmls,
 sgmls, and nsgmls SGML parsers. To make sensible use of this package you will
 need to install a suitable SGML parser as well.

Package: sgmlspl
Architecture: all
Section: text
Depends: ${perl:Depends},
         ${misc:Depends},
         libsgmls-perl
Suggests: sgmls-doc
Multi-Arch: foreign
Description: SGMLS-based example Perl script for processing SGML parser output
 This is an example of a Perl script to post-process SGML parser output
 using the SGMLS Perl modules.  To make sensible use of this package
 you will need to install a suitable SGML parser as well.

Package: sgmls-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libsgmls-perl,
          sgmlspl
Multi-Arch: foreign
Description: HTML documentation of libsgmls-perl and sgmlspl
 libsgmls-perl and sgmlspl are tools for parsing the output from an SGML parser
 .
 This package contains the documentation in HTML format of the packages 
 libsgmls-perl and sgmlspl.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = sgmlspl
TMP     = $(CURDIR)/debian/$(PACKAGE)

%:
	dh $@

override_dh_install:
	dh_install
	file-rename 's/\.pl//' $(TMP)/usr/bin/*.pl

=== debian/watch ===
version=3
http://search.cpan.org/dist/SGMLSpm/   .*/SGMLSpm-v?(\d[\d\w.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz|zip)$
